Storing Article Views POST

The DynaMed/DynaMedex API POST /user/article-views endpoint stores one or more sets of viewing information for the user. These sets of viewing information can later be used by the caller to show recent activity for that user. Before you can execute a store article views call, you must have an ID token for the request header. The user ID and product family will be obtained from the token.

Basic Storing of Article Views

Request

POST https://apis.ebsco.com/medsapi-dynamed/v1/user/article-views

Request Body

{
"items": [
    {
     "article": {
         "id": "T116388",
         "title": "Overview",
         "section": {
            "title": "Acute Lymphoblastic Leukemia/Lymphome (ALL)"
         }
      },
      "eventType": "OPEN_ITEM",
      "prevSearchTerm": "",
      "timestamp": "2020-10-19T19:04:03Z"
    }
  ]
}

Request Body

FieldDescription
article.idThe id of the article that is being updated.
titleThe title of the article.
sectionSection of the article that was viewed.
eventTypeType of event that is being added. Please use one of the following : OPEN_ITEM, CLOSE_ITEM, or OPEN_SECTION.
prevSearchTermSearch term last executed by the user, if any.
timestampUTC date and time when the event occurred.

Response

content-length: 0 
date: Tue, 20 Oct 2023 19:10:42 GMT

Error Response Codes

The DynaMed API POST article views endpoint can return one of the error response codes.